const escapeCodes = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    "'": '&#39;',
    '"': '&quot;'
};

let format = {};

format.escape = function (str) {
    return str.replaceAll(
        /[&<>'"]/g,
        tag => escapeCodes[tag]
    )
};

export default format;